Loading...
Searching...
No Matches
AVInputFormat Struct Reference
libavformat » Demuxing

`#include <libavformat/avformat.h>`

## Data Fields

const char * | name
| A comma separated list of short names for the format.
const char * | long_name
| Descriptive name for the format, meant to be more human-readable than name.
int | flags
| Can use flags: AVFMT_NOFILE, AVFMT_NEEDNUMBER, AVFMT_SHOW_IDS, AVFMT_NOTIMESTAMPS, AVFMT_GENERIC_INDEX, AVFMT_TS_DISCONT, AVFMT_NOBINSEARCH, AVFMT_NOGENSEARCH, AVFMT_NO_BYTE_SEEK, AVFMT_SEEK_TO_PTS.
const char * | extensions
| If extensions are defined, then no probe is done.
const struct AVCodecTag *const * | codec_tag
const AVClass * | priv_class
| AVClass for the private context.
const char * | mime_type
| Comma-separated list of mime types.

## Detailed Description

Definition at line 544 of file avformat.h.

## Field Documentation

## name

const char* AVInputFormat::name

A comma separated list of short names for the format.

New names may be appended with a minor bump.

Definition at line 549 of file avformat.h.

## long_name

const char* AVInputFormat::long_name

Descriptive name for the format, meant to be more human-readable than name.

You should use the NULL_IF_CONFIG_SMALL() macro to define it.

Definition at line 556 of file avformat.h.

## flags

int AVInputFormat::flags

Can use flags: AVFMT_NOFILE, AVFMT_NEEDNUMBER, AVFMT_SHOW_IDS, AVFMT_NOTIMESTAMPS, AVFMT_GENERIC_INDEX, AVFMT_TS_DISCONT, AVFMT_NOBINSEARCH, AVFMT_NOGENSEARCH, AVFMT_NO_BYTE_SEEK, AVFMT_SEEK_TO_PTS.

Definition at line 563 of file avformat.h.

## extensions

const char* AVInputFormat::extensions

If extensions are defined, then no probe is done.

You should usually not use extension format guessing because it is not reliable enough

Definition at line 570 of file avformat.h.

## codec_tag

const struct AVCodecTag* const* AVInputFormat::codec_tag

Definition at line 572 of file avformat.h.

## priv_class

const AVClass* AVInputFormat::priv_class

AVClass for the private context.

Definition at line 574 of file avformat.h.

## mime_type

const char* AVInputFormat::mime_type

Comma-separated list of mime types.

It is used check for matching mime types while probing.

See also
  av_probe_input_format2

Definition at line 581 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h